# Get a custom list

### URL

<mark style="color:blue;">**GET**</mark> `https://api.complycube.com/v1/customLists/:id`

Retrieves an existing custom list.

### Headers

<table><thead><tr><th width="263">Name</th><th width="111">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>Authorization</code><mark style="color:red;">*</mark></td><td>string</td><td>The API <code>live</code> or <code>test</code> key.</td></tr></tbody></table>

### Path parameters

<table><thead><tr><th width="261">Name</th><th width="115">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code><mark style="color:red;">*</mark></td><td>string</td><td>The ID of the custom list.</td></tr></tbody></table>

### Example request

{% tabs %}
{% tab title="cURL" %}

```python
curl -X GET https://api.complycube.com/v1/customLists/{:customListId} \
     -H 'Authorization: <YOUR_API_KEY>'
```

{% endtab %}
{% endtabs %}

### Example response

{% tabs %}
{% tab title="Success (200)" %}

```json
{
    "id": "5fd52391d8506552e4f3c8c4",
    "name": "Retail Banking Fraud (UK)",
    "description": "Entities involved in mortgage fraud.",
    "stats": {
        "personCount": 4101,
        "companyCount": 258
    },
    "createdAt": "2020-01-04T17:24:29.146Z",
    "updatedAt": "2020-01-04T17:24:29.146Z"
}
```

{% endtab %}

{% tab title="Resource Not Found (404)" %}

```json
{
    "type": "resource_not_found",
    "message": "Invalid custom list id '5eb04fcd0f3e360008035eb2'"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/tools/custom-lists/get-a-custom-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
